Repository 32bit  Forum
Repository 64bit  Wiki

amule

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

amule

Messaggioda teme » mer feb 11, 2004 0:58

Salve ragazzi, sto cercando di intallare amule su questa distribuzione. Allora per far ciò mi sono scaricato i sorgenti di amule e quelli di wxGTK-2.4.2 <BR>Ho seguito questa procedura: <BR>scompattato wxGTK-2.4.2 <BR>scompattato aMule-1.2.5 <BR> <BR>nella directory wxGTK-2.4.2# <BR>./configure --prefix=/usr --disable-gtk2 --enable-timedate --enable-gui <BR>--enable-protocol --enable-http --enable-ftp --enable-resources <BR>--enable-prologio --disable-debug --enable-final --enable-timer --with-gtk <BR>--disable-profile <BR> <BR>successivamente nella directory aMule-1.2.5# <BR>./configure --with-wx-config=/home/utente/Desktop/wxGTK-2.4.2/wx-config <BR> <BR>e ho come risposta: <BR>Which libraries should aMule use? <BR> wxWindows 2.4.2 <BR> GTK 1.2.10 <BR>Da qui non riesco più ad andare avanti. Che posso fare? <BR>grazie<br>
Avatar utente
teme
Linux 2.4
Linux 2.4
 
Messaggi: 362
Iscritto il: mar gen 27, 2004 0:00

amule

Messaggioda pinguinosn » mer feb 11, 2004 1:39

prova a compilare le wxgtk con queste opzioni: <BR> <BR>./configure --with-opengl --prefix=/usr --enable-gui --enable-http --enable-ftp <BR>--enable-protocol --with-gtk --disable-profile --enable-final --enable-timer <BR>--enable-prologio --disable-debug --enable-timedate <BR> <BR>poi prosegui <BR> <BR>con amule : <BR> <BR>./configure --prefix=dove-vuoi --enable-optimize <BR> <BR>quando ti chiede <BR>Which libraries should aMule use? <BR>wxWindows 2.4.2 <BR>GTK 1.2.10 <BR> <BR>prosegui con make <BR>ciao<br>
Avatar utente
pinguinosn
Linux 2.0
Linux 2.0
 
Messaggi: 110
Iscritto il: dom feb 08, 2004 0:00
Località: livorno
Slackware: 13.37
Kernel: 3.3
Desktop: gnome3
Distribuzione: archlinux

amule

Messaggioda teme » mer feb 11, 2004 10:45

ho fatto come hai detto tu, ma poi quando vado ad eseguire <BR>#amule <BR> <BR>ho questa risposta <BR> <BR>amule: error while loading shared libraries: libwx_gtk-2.4.so: cannot open shared object file: No such file or directory <BR><br>
Avatar utente
teme
Linux 2.4
Linux 2.4
 
Messaggi: 362
Iscritto il: mar gen 27, 2004 0:00

amule

Messaggioda pinguinosn » mer feb 11, 2004 13:35

libwx_gtk-2.4.so è un link alle librerie <BR>libwx_gtk-2.4.so.0.1.1 <BR>di solito l´installazione delle librerie lo <BR>crea automaticamente comunque controlla. <BR>se non esite crea questo link. <BR>altrimenti per fare prima <BR>vai su linuxpackages.net e scarica il pacchetto <BR>delle wxGTK versione 2.4.2 <br>
Avatar utente
pinguinosn
Linux 2.0
Linux 2.0
 
Messaggi: 110
Iscritto il: dom feb 08, 2004 0:00
Località: livorno
Slackware: 13.37
Kernel: 3.3
Desktop: gnome3
Distribuzione: archlinux

amule

Messaggioda Pierluigi » mer feb 11, 2004 14:23

Potrà sembrare una domanda stupida, ma dal tuo post non è chiaro... <BR>Le wxGTK le hai compilate e installate? <BR> <BR>ciao<br>
Pierluigi
Linux 1.0
Linux 1.0
 
Messaggi: 7
Iscritto il: mar feb 10, 2004 0:00

amule

Messaggioda teme » mer feb 11, 2004 16:02

credo che c´ho quasi rinunciato, <BR>uff.... <BR>Certo che ho compilato prima le wxgtk e poi aMule..... <BR>A voi funziona?<br>
Avatar utente
teme
Linux 2.4
Linux 2.4
 
Messaggi: 362
Iscritto il: mar gen 27, 2004 0:00

amule

Messaggioda Pierluigi » mer feb 11, 2004 16:23

aMule mi funziona, e lo aggiorno ogni giorno con la versione CVS. <BR>A me è bastato: <BR>./configure && make && make install per le wxGTK <BR>e dopo <BR>./autogen.sh (solo per la CVS) && ./configure && make && make install per aMule. <BR>naturalmente le wx sono così linkate: <BR>/usr/local/lib/libwx_gtk-2.4.so -> libwx_gtk-2.4.so.0.1.1 <BR>è strano che la compilazione abbia successo e poi non trovi le lib. <BR>P.S. io le wx_GTK le ho compilate con le opzioni di default (senza passare niente al ./configure).<br>
Pierluigi
Linux 1.0
Linux 1.0
 
Messaggi: 7
Iscritto il: mar feb 10, 2004 0:00

amule

Messaggioda teme » mer feb 11, 2004 16:46

Purtroppo non sono riuscito a compilarlo per il mio computer, <BR>ma ho trovato in rete le versioni per la slackware .tgz e le ho installate con in comando installpkg. Ora funziona.<br>
Avatar utente
teme
Linux 2.4
Linux 2.4
 
Messaggi: 362
Iscritto il: mar gen 27, 2004 0:00


Torna a Slackware

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti

cron